From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/
Date: Tue, 10 Nov 2020 11:52:36 +0000 (UTC) [thread overview]
Message-ID: <1605009146.e21a601ae79cf014963c4f5107be181f7f4bcf0d.juippis@gentoo> (raw)
commit: e21a601ae79cf014963c4f5107be181f7f4bcf0d
Author: Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Aug 30 12:19:20 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 11:52:26 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e21a601a
media-sound/snapcast: bump to 0.20.0
Closes: https://bugs.gentoo.org/698064
Closes: https://bugs.gentoo.org/745456
Package-Manager: Portage-3.0.3, Repoman-3.0.0
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-sound/snapcast/Manifest | 1 +
media-sound/snapcast/snapcast-0.20.0.ebuild | 72 +++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/media-sound/snapcast/Manifest b/media-sound/snapcast/Manifest
index 64bd51fef59..be0542760b3 100644
--- a/media-sound/snapcast/Manifest
+++ b/media-sound/snapcast/Manifest
@@ -1 +1,2 @@
DIST snapcast-0.15.0.tar.gz 667452 BLAKE2B 0bf7e28ba52356c8fff8066ded3d741243c2ba88cdc6cefda113c0d6866fe14b2fea6198d7809e564cd61d32a336a2c30ee22f6f5d6ae77368a6f3e254cc5065 SHA512 3751eeaa9be4ffd5c7633b8770f36e87360ab83004f090a8350e377f60a79d9502b92b92c5c9c35f513705e6484d113de9942f0a896824d7c5f806ba0010e84e
+DIST snapcast-0.20.0.tar.gz 729346 BLAKE2B 01a937b74d12f40717cec049e9af0c03f01cc957a97aa0c7316cac2c90f29d8a79dae99a0ae390b72e1a6ff8dce8e6134d40c83ac051641a97bbcd8df90ef64e SHA512 55542a5d915e359b4d8dcb69292dc8ee61067c5b35318151542d875b47a357b8713780ec03fb247ee424645457e68371499e84bae38fbb197737b1369dc7b622
diff --git a/media-sound/snapcast/snapcast-0.20.0.ebuild b/media-sound/snapcast/snapcast-0.20.0.ebuild
new file mode 100644
index 00000000000..6228cd7ec66
--- /dev/null
+++ b/media-sound/snapcast/snapcast-0.20.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Synchronous multi-room audio player"
+HOMEPAGE="https://github.com/badaix/snapcast"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/badaix/snapcast.git"
+ EGIT_BRANCH="develop"
+else
+ SRC_URI="https://github.com/badaix/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+client +expat +flac +opus +server static-libs tremor +vorbis +zeroconf"
+
+REQUIRED_USE="|| ( server client )"
+
+RDEPEND="client? (
+ acct-user/snapclient
+ media-libs/alsa-lib )
+ expat? ( dev-libs/expat )
+ flac? ( media-libs/flac )
+ opus? ( media-libs/opus )
+ server? (
+ acct-group/snapserver
+ acct-user/snapserver )
+ tremor? ( media-libs/tremor )
+ vorbis? ( media-libs/libvorbis )
+ zeroconf? ( net-dns/avahi[dbus] )"
+DEPEND="${RDEPEND}
+ >=dev-cpp/aixlog-1.2.1
+ >=dev-cpp/asio-1.12.1
+ >=dev-cpp/popl-1.2.0"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_CLIENT=$(usex client)
+ -DBUILD_WITH_EXPAT=$(usex expat)
+ -DBUILD_WITH_FLAC=$(usex flac)
+ -DBUILD_WITH_OPUS=$(usex opus)
+ -DBUILD_SERVER=$(usex server)
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ -DBUILD_TESTS=no
+ -DBUILD_WITH_TREMOR=$(usex tremor)
+ -DBUILD_WITH_VORBIS=$(usex vorbis)
+ -DBUILD_WITH_AVAHI=$(usex zeroconf)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ for bin in server client ; do
+ if use ${bin} ; then
+ doman "${bin}/snap${bin}.1"
+
+ newconfd "${FILESDIR}/snap${bin}.confd" "snap${bin}"
+ newinitd "${FILESDIR}/snap${bin}.initd" "snap${bin}"
+ fi
+ done
+}
next reply other threads:[~2020-11-10 11:52 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-10 11:52 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-18 18:55 [gentoo-commits] repo/gentoo:master commit in: media-sound/snapcast/ Jakov Smolić
2023-03-29 20:25 Sam James
2023-03-29 14:33 Sam James
2023-03-29 14:33 Sam James
2023-03-29 14:33 Sam James
2023-02-23 12:16 Jakov Smolić
2023-02-23 12:16 Jakov Smolić
2023-01-14 13:28 Sam James
2023-01-14 13:28 Sam James
2023-01-14 12:12 Arthur Zamarin
2023-01-14 12:12 Arthur Zamarin
2022-10-03 14:48 Agostino Sarubbo
2022-10-03 8:30 Agostino Sarubbo
2022-08-31 2:47 Sam James
2022-08-31 2:47 Sam James
2022-06-02 12:04 Jakov Smolić
2022-03-25 19:41 Jakov Smolić
2022-02-03 15:18 Jakov Smolić
2022-01-19 17:09 Marek Szuba
2022-01-13 10:39 Jakov Smolić
2022-01-13 10:39 Jakov Smolić
2021-10-05 7:17 Jakov Smolić
2021-08-12 19:59 David Seifert
2021-07-29 10:46 Joonas Niilola
2021-07-29 10:46 Joonas Niilola
2020-11-10 11:52 Joonas Niilola
2020-11-10 11:52 Joonas Niilola
2020-11-10 11:52 Joonas Niilola
2020-08-30 8:18 Joonas Niilola
2018-12-07 16:22 Michał Górny
2018-10-17 14:03 Mikle Kolyada
2018-10-10 13:57 Thomas Deutschmann
2018-10-07 17:55 Thomas Deutschmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605009146.e21a601ae79cf014963c4f5107be181f7f4bcf0d.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox